$(function(){
	
	$(".signin-form").validate({
			
			 submitHandler:(form) => {
			 			zeroModal.success({
			 				unique:'1',
			 				opacity:0.8,
			 				content:'success',
			 				contentDetail:'You have successfully change password',
			 				width:'300px',
			 				height:'260px',
			 				ok:false,
			 				onClosed:function(){
			 					
			 				},
			 				onComplete:function(evn){
			 					console.log('onComplete')
			 					setTimeout(function(){
			 						zeroModal.close('1');
			 					},3000);
			 				}
			 				
			 			})  
			 }
	});
	
	$(".form-control").on("input",function(evn){
		//console.log('input');
		let $icon=$(this).siblings('.input-tool-icon');
		if($(this).val().length>0){
			$icon.show();
		}
		else{
			$icon.hide();
		}
		
	});
	
	$(".form-group-custom").on("click",".glyphicon-remove",function(evn){
		$(this).siblings('.form-control').val('');
		$(this).hide();
	});
	
	$(".form-group-custom").on("click",".glyphicon-eye-open",function(evn){
		$(this).siblings('.form-control').prop('type','text');
		$(this).removeClass('glyphicon-eye-open');
		$(this).addClass('glyphicon-eye-close');
	});
	
	$(".form-group-custom").on("click",".glyphicon-eye-close",function(evn){
		$(this).siblings('.form-control').prop('type','password');
		$(this).removeClass('glyphicon-eye-close');
		$(this).addClass('glyphicon-eye-open');
	});
	
});